API
Electronic Media Search Direct API
电视、广播、频道、节目、转录、广播新闻和视听新闻报道。
API 参考 版本: 1.0.0 4 终端 身份验证
基本网址
https://api.pressmonitor.com 身份验证
所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines 参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | |
| lang_code | string | query | 不 | |
| country_code | string | query | 不 | |
| count | integer | query | 不 | |
| cursor | string | query | 不 | |
| sort | string | query | 不 | Sort order (date or relevance) |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
代码示例
curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/briefs 参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | |
| lang_code | string | query | 不 | |
| country_code | string | query | 不 | |
| count | integer | query | 不 | |
| cursor | string | query | 不 | |
| sort | string | query | 不 | Sort order (date or relevance) |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
代码示例
curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/fulltext 参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | |
| lang_code | string | query | 不 | |
| country_code | string | query | 不 | |
| count | integer | query | 不 | |
| cursor | string | query | 不 | |
| sort | string | query | 不 | Sort order (date or relevance) |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
代码示例
curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/clip 参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | Clip/article ID to resolve |
| date | string | query | 是 | Date of the clip (YYYY-MM-DD) |
| ns | string | query | 不 | Namespace prefix for multi-tenant index resolution |
| host | string | query | 不 | Host name for tenant resolution |
| ttl | integer | query | 不 | Signed URL time-to-live in seconds |
代码示例
curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success